#include<iostream>
#include<vector>
#include<algorithm>

std::vector<int> solve(std::vector<int> A){
    /*std::vector<int>B=A;
    std::sort(B.begin(),B.end());
    std::vector<int>one;
    std::vector<int>two;
    int which=B[0],brsreshti=2;
    for(int j=2;j<B.size();j+=2){
        if(B[j]==which){
            brsreshti+=2;
        }else{
            for(int k=0;k<A.size();k++){
                if(A[k]==which){
                    if(brsreshti%2==0){
                        one.push_back(k);
                    }else{
                        two.push_back(k);
                    }
                    brsreshti--;
                }
            }
            which=B[j];
            brsreshti=2;
        }
    }
    for(int k=0;k<A.size();k++){
        if(A[k]==which){
            if(brsreshti%2==0){
                one.push_back(k);
            }else{
                two.push_back(k);
            }
            brsreshti--;
        }
    }
    for(int i=0;i<two.size();i++){
        one.push_back(two[i]);
    }
    return one;*/
    std::vector<int>B;
    B.push_back(A.size()-1);
    for(int i=0;i<A.size()-1;i++){
        B.push_back(i);
    }
    return B;
}